'use strict';

var OTP = function()
{
	var otp = {};
	
	otp.initPage = function()
	{
		if (Data.get(document.body, 'login-form') != 'net.sf.basedb.otp.login-form') 
		{
			// Not the OTP login form
			return;
		}
		
		// The OTP field can be either the password field or the
		// extra field
		var otpField = Doc.element('extraField');
		if (!otpField) otpField = Doc.element('password');
		// If the OTP field is text type, the user is not 
		// supposed to enter password into it
		if (otpField.type == 'text')
		{
			// Disable auto-complete and set maxlength to 6 digits
			otpField.setAttribute('autocomplete', 'off');
			otpField.setAttribute('maxlength', '6');
		}
	}

	otp.initElements = function(element, autoInit)
	{
		if (autoInit == 'setup-otp')
		{
			Buttons.addClickHandler(element, otp.setupOtpDialog);
			Doc.addClass(element, 'setup-otp');
		}
	}
	
	otp.setupOtpDialog = function()
	{
		var url = App.getRoot() + 'extensions/base-otp.jar/setup-otp.jsp?ID='+App.getSessionId();
		var login = Doc.element('login');
		if (login && login.value) 
		{
			url += '&username='+encodeURIComponent(login.value);
		}
		
		Dialogs.openPopup(url, 'SetupOTP', 800, 600);
	}
	
	return otp;
}();

Doc.addElementInitializer(OTP.initElements);
Doc.onLoad(OTP.initPage);

